Bug 138744 - kernel with 4G/4G imcaompatible with Virtual PC 2004
Summary: kernel with 4G/4G imcaompatible with Virtual PC 2004
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-10 23:11 UTC by David Sanders
Modified: 2015-01-04 22:11 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2004-11-11 01:23:41 UTC


Attachments (Terms of Use)
Screenshot of FC3 under Virtual PC 2004 after kernel modification (137.28 KB, image/jpeg)
2004-11-10 23:16 UTC, David Sanders
no flags Details

Description David Sanders 2004-11-10 23:11:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
The kernel patch for 4G/4G mode does not work within a Microsoft
Virtual PC 2004 virtual machine.  An identical kernel built without
4G/4G mode works fine.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.667

How reproducible:
Always

Steps to Reproduce:
1.  Install FC3
2.  Reboot

    

Actual Results:  Segmentation faults

Expected Results:  boot up normally

Additional info:

Work around instructions at:
http://www.sandersweb.net/david/virtualpc/FedoraCore3.hmtl

Comment 1 David Sanders 2004-11-10 23:14:57 UTC
URL should be:
http://www.sandersweb.net/david/virtualpc/FedoraCore3.html


Comment 2 David Sanders 2004-11-10 23:16:38 UTC
Created attachment 106455 [details]
Screenshot of FC3 under Virtual PC 2004 after kernel modification

Comment 3 Warren Togami 2004-11-11 01:23:41 UTC
Sorry, this is not our responsibility.  As a workaround you can use
the i586 kernel.  It is unfortunate that only Microsoft can fix this.



Note You need to log in before you can comment on or make changes to this bug.